<?php

namespace Simplyin\Simplyin_W_Plugin\Payments\View_Model\Classic_Checkout;

class Payment_Method_Provider_Group extends Payment_Method_Group {

	/**
	 * @var Payment_Method_Item_Provider
	 */
	private $provider;


	/**
	 * @param Payment_Method_Item[] $items
	 * @param string $title
	 * @param string $slug
	 */
	public function __construct(
		Payment_Method_Item_Provider $provider,
		array $items,
		string $title = '',
		string $slug = ''
	) {

		$this->provider = $provider;

		parent::__construct(
			$items,
			$title,
			$slug = '' );
	}

	public function get_provider(): Payment_Method_Item_Provider {
		return $this->provider;
	}
}
